//Used Alpha to slowly make the black go transparent or vice versa

client
	view="10x10"

turf
	Grass
		icon='tiles.dmi'

	Floor
		icon='tiles.dmi'
		icon_state="floor"

	Wall
		icon='tiles.dmi'
		icon_state="wall"
		density=1

	Doors
		icon='tiles.dmi'
		icon_state="door"
		EnterRoom1
			Enter(mob/M)
				if(M.client)
					M.FadeScreen() // Fades In the screen
					M.loc=locate(5,2,2) // teleports you to location
					M.UnFadeScreen() // Fades Out the screen
		LeaveRoom1
			Enter(mob/M)
				if(M.client)
					M.FadeScreen()
					M.loc=locate(2,8,1)
					M.UnFadeScreen()

obj/HUD
	FadeIn
		layer=9001
		icon='FadeIn.dmi'
		screen_loc="SOUTHWEST to NORTHEAST"//extends from the very bottom left corner of your screen, to the top right
	FadeOut
		layer=9001
		icon='FadeOut.dmi'
		screen_loc="SOUTHWEST to NORTHEAST"

mob/proc/UnFadeScreen() // This will be used to do a Fade-Out
	var/obj/HUD/FadeOut/f = new //creates HUD
	if(client)
		client.screen+=f // adds hud to screen
		sleep(20) //wait 2 seconds
		client.screen-=f // removes hud from screen
	.=..()

mob/proc/FadeScreen() //This is used for a Fade-In
	var/obj/HUD/FadeIn/f = new //creates HUD
	if(client)
		client.screen+=f // adds hud to screen
		sleep(20) //wait 2 seconds
		client.screen-=f // removes hud from screen
	.=..()

mob
	Login()
		usr.icon='user.dmi'
		usr.loc=locate(1,1,1)

turf
	Entered()
		for(var/obj/healingpool/o in src) 	//When you are over the healing pool, it does a fade in
			usr.FadeScreen() // When it knows you are over the healing pool, it fades the screen
			// insert whatever you would do while the screen is faded in
			usr.UnFadeScreen() // After it is done fading it will unfade
		.=..()

obj
	healingpool
		icon='tiles.dmi'
		icon_state="heal"
